Bug 1474769 - Graphical Applications as Flatpaks
Summary: Graphical Applications as Flatpaks
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard: SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-25 11:23 UTC by Jan Kurik
Modified: 2019-05-28 19:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:31:59 UTC


Attachments (Terms of Use)

Description Jan Kurik 2017-07-25 11:23:20 UTC
This is a tracking bug for Change: Graphical Applications as Flatpaks
For more details, see: https://fedoraproject.org//wiki/Changes/Graphical_Applications_as_Flatpaks

This change is to enable package maintainers to build Flatpaks of their applications and make those Flatpaks available for installation.

Comment 1 Jan Kurik 2017-08-10 06:18:23 UTC
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan

Comment 2 Jan Kurik 2017-08-14 14:18:48 UTC
The deadline for implementation has been extended by FESCo. For more info check https://pagure.io/fesco/issue/1760#comment-457211

Comment 3 Jan Kurik 2017-08-15 07:29:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Jan Kurik 2017-09-06 13:38:41 UTC
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 5 Owen Taylor 2017-09-08 15:56:34 UTC
At this point:
 * The code is complete and working in local tests, and with a self-contained test environment as described in https://github.com/owtaylor/osbs-box#building-flatpaks
 * The changes to OSBS are under review
 * Other components need to be stood up in Fedora infrastructure
   - The on demand compose server
   - A patched docker registry (https://src.fedoraproject.org/rpms/docker-distribution/pull-request/2)

I have discussed these changes with Fedora infrastructure and releng and they are new components or changes to parts of the Fedora infrastructure that aren't critical for the release process (FLIBS mostly), so we thought that it may be possible to get them done between infrastructure freeze windows and not have to block on final F27.

In terms if the Fedora 27 release process, I think at this point, it's best to withraw this as a F27 change and reposition it for F28.

Comment 6 Jan Kurik 2017-09-19 11:12:00 UTC
Deferred by FESCo: https://pagure.io/fesco/issue/1773#comment-465932

Comment 7 Fedora End Of Life 2018-02-20 15:27:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 8 Ben Cotton 2019-05-02 22:05:51 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-28 19:31:59 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.